Bug 28913 - Automatic checkin setting in item type setup should note required cronjob
Summary: Automatic checkin setting in item type setup should note required cronjob
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on: 23207
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-27 16:20 UTC by Andrew Fuerste-Henry
Modified: 2021-11-11 01:08 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
Bug 28913: Note cronjob on automatic return settings in itemtypes (1.69 KB, patch)
2021-08-27 16:29 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28913: Note cronjob on automatic return settings in itemtypes (1.75 KB, patch)
2021-10-27 11:30 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 28913: Note cronjob on automatic return settings in itemtypes (1.81 KB, patch)
2021-10-31 11:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-08-27 16:20:18 UTC
The automatic checkin feature introduced in bug 23207 requires a cron job. We should note that in item type setup so users don't expect the feature to start working simply because they checked the box.
Comment 1 Andrew Fuerste-Henry 2021-08-27 16:29:40 UTC
Created attachment 124194 [details] [review]
Bug 28913: Note cronjob on automatic return settings in itemtypes

To test:
1 - go to itemtype config in Admin
2 - confirm it doesn't mention the automatic_return cron
3 - apply patch and restart
4 - confirm note now says "This feature requires the misc/cronjobs/automatic_checkin.pl cronjob. Ask your system administrator to schedule it."
Comment 2 PTFS Europe Sandboxes 2021-10-27 11:30:19 UTC
Created attachment 126968 [details] [review]
Bug 28913: Note cronjob on automatic return settings in itemtypes

To test:
1 - go to itemtype config in Admin
2 - confirm it doesn't mention the automatic_return cron
3 - apply patch and restart
4 - confirm note now says "This feature requires the misc/cronjobs/automatic_checkin.pl cronjob. Ask your system administrator to schedule it."

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2021-10-31 11:40:38 UTC
Created attachment 127129 [details] [review]
Bug 28913: Note cronjob on automatic return settings in itemtypes

To test:
1 - go to itemtype config in Admin
2 - confirm it doesn't mention the automatic_return cron
3 - apply patch and restart
4 - confirm note now says "This feature requires the misc/cronjobs/automatic_checkin.pl cronjob. Ask your system administrator to schedule it."

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-11-02 14:56:32 UTC
I don't know if it's a big deal but, to me, the note reads like: the cronjob is not setup correctly. Whereas we don't know and maybe no action is required.
Comment 5 Katrin Fischer 2021-11-02 14:58:20 UTC
It's phrased like the system preferences, but I understand what you mean. What if we just leave otu the "Ask..." part?
Comment 6 Jonathan Druart 2021-11-02 15:53:38 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Jonathan Druart 2021-11-02 15:56:48 UTC
(In reply to Katrin Fischer from comment #5)
> It's phrased like the system preferences, but I understand what you mean.
> What if we just leave otu the "Ask..." part?

Sorry, didn't see your comment before I pushed it. Feel free to submit a follow-up here!
Comment 8 Kyle M Hall 2021-11-05 14:20:17 UTC
Pushed to 21.05.x for 21.05.05
Comment 9 Fridolin Somers 2021-11-11 01:08:03 UTC
Depends on Bug 23207 not in 20.11.x